Status: Resolved Start date: 22 November 2012
Priority: Normal Due date:
Assignee: Tomáš Kulhánek % Done: 100%
Category: RealVoiceLab-Matlab Estimated time: 0.00 hour
Target version: RealVRP23 Spent time: 0.00 hour
Description

RealVRP po Action -> Pause -> Action -> Pause spadne

diagnostikou zjisteny 2 priciny
1. oteviran soubor pro pridavani - nelze zapsat delku na zacatek, opraveno otevreni souboru pro zapis a Seek na konec
V souboru otevřeném v režimu přidávání se nelze vracet zpět a přepisovat data, která byla v souboru dříve uložena.:21.11.2012
17:15:52

2. konflikt pri otvirani souboru WAV s otevrenim souboru v MATLABu:
exception during initialization of recording:Proces nemůže přistupovat k souboru E:\Documents and Settings\tomaton\Data
aplikací\RealVoiceLab\2012-11-21_T171521.wav, protože soubor je využíván jiným procesem.:21.11.2012 17:15:54 messages from
rdp plugin:
start recording at 21.11.2012 17:15:54

History
#1 - 22 November 2012 14:54 - Tomáš Kulhánek
- Category set to RealVoiceLab-Matlab
- Assignee set to Marek Frič
- Target version set to RealVRP23
- % Done changed from 0 to 50

Podívej se na bod 2. MATLAB musí WAV soubor zavřít, před dalším nahráváním, jinak dochází ke konfliktu přístupu k jednomu souboru více procesy.

#2 - 22 November 2012 15:40 - Tomáš Kulhánek
- Status changed from New to Resolved
- Assignee changed from Marek Frič to Tomáš Kulhánek
- % Done changed from 50 to 100

Chyba zanesena opravou delky WAVu - soubor nebyl uzavren,
Close() dan do sekce finally
